## GwyAppImageWindow

GwyAppImageWindow — Windows for data shown as images

## Functions

GtkWindow * | gwy_app_image_window_new ()

## Types and Values

struct | GwyAppImageWindow
struct | GwyAppImageWindowClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GwyDataWindow
                                ╰── GwyAppImageWindow

## Implemented Interfaces

GwyAppImageWindow implements AtkImplementorIface, GtkBuildable and GwyAppDataWindow.

## Includes

    #include <libgwyapp/gwyapp.h>

## Description

GwyAppImageWindow wraps GwyDataWindow and updates it to changes in the file.

## Functions

### gwy_app_image_window_new()

    GtkWindow *
    gwy_app_image_window_new (GwyFile *file,
                              GwyDataKind data_kind,
                              gint id);

Creates a new app image data window.

The arguments must correspond to a valid data object in `file` which can be visualised as an image. Possible data kinds include `GWY_FILE_IMAGE` , `GWY_FILE_VOLUME` , `GWY_FILE_XYZ` and `GWY_FILE_CMAP` .

Use GwyAppDataWindow methods to query the parameters later.

#### Parameters

file | A data file container. | [transfer none]
data_kind | Type of the data object. |
id | Data item id. |

#### Returns

A newly created window.

[transfer full][constructor]

## Types and Values

### struct GwyAppImageWindow

    struct GwyAppImageWindow;

### struct GwyAppImageWindowClass

    struct GwyAppImageWindowClass {
        GwyDataWindowClass parent_class;
    };